Subject: RE: cron: can't switch user context
From: "Harig, Mark" <[email-masked]>
To: René Haber <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 10 Sep 2003 11:57:11 -0400

I cannot see the source of your problem from
the cygcheck listing.  However, you are 
running a Windows .NET server.  I do not know
what effect that might have on cron.

Please run the attached cron_diagnose.sh
script.  It is the latest version.  I would
like for you to eliminate the possibility
that you ran an earlier version.

> -----Original Message-----
> From: René Haber [mailto:[email-masked]]
> Sent: Sunday, September 07, 2003 1:06 PM
> To: [email-masked]
> Subject: cron: can't switch user context
> 
> 
> Hello
> 
> I've got Cygwin runnig on Windows 2003 and wanted to use the cron
> daemon. I installed it via
> 
>    cygrunsrv -I "CYGWIN crond" -p /usr/sbin/cron.exe -a -D
> 
> as a NT-Service. Then I added a cronjob via "crontab -e" (I was logged
> in as Administrator)
> 
>    5 * * * * echo "test" > test.txt
> 
> after that, I started the cron-service and waited for the test-job to
> complete. But instead of doing the job cron complaind in the Syslog
> about
> 
>      Ereignisinformationen: /USR/SBIN/CRON : PID 228 : (CRON) 
> error (can't switch user context).
> 
> I checked my install via a shellscript (cron_diagnose.sh) I found in
> the Mailing-List Archiv, but it didn't find a problem.
> 
> Is there a solution to this Problem or a work-around?
> 
> Thanks.
> 
> René Haber
> 
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/